<?php

declare(strict_types=1);

namespace app\controllers;

use yii;
use yii\web\Controller;
use yii\web\Response;

use app\models\Terminal;

class TerminalController extends Controller
{
    public function actionRead(): ?array
    {
        // Инициализация входных параметров
        $amount = (int) yii::$app->request->post('amount') ?? yii::$app->request->get('amount');

        if ($amount < 501) {
            // Пройдена проверка

            if (yii::$app->request->isPost) {
                // POST-запрос

                // Запись формата ответа
                yii::$app->response->format = Response::FORMAT_JSON;

                return [
                    'terminals' => Terminal::read($amount),
                    '_csrf' => yii::$app->request->getCsrfToken()
                ];
            }
        } else {
            // Не пройдена проверка

            // Запись кода ответа
            yii::$app->response->statusCode = 500;
        }

        return false;
    }
}
